// ****************************************************************************************************
// File: Cells.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_CELLS
#define HURRICANE_CELLS

#include "Collection.h"

namespace Hurricane {

class Cell;



// ****************************************************************************************************
// Cells declaration
// ****************************************************************************************************

typedef GenericCollection<Cell*> Cells;



// ****************************************************************************************************
// CellLocator declaration
// ****************************************************************************************************

typedef GenericLocator<Cell*> CellLocator;



// ****************************************************************************************************
// CellFilter declaration
// ****************************************************************************************************

typedef GenericFilter<Cell*> CellFilter;



// ****************************************************************************************************
// for_each_cell declaration
// ****************************************************************************************************

#define for_each_cell(cell, cells)\
/*********************************/\
{\
	CellLocator _locator = cells.GetLocator();\
	while (_locator.IsValid()) {\
		Cell* cell = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_CELLS

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
