// ****************************************************************************************************
// File: Contacts.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_CONTACTS
#define HURRICANE_CONTACTS

#include "Collection.h"

namespace Hurricane {

class Contact;



// ****************************************************************************************************
// Contacts declaration
// ****************************************************************************************************

typedef GenericCollection<Contact*> Contacts;



// ****************************************************************************************************
// ContactLocator declaration
// ****************************************************************************************************

typedef GenericLocator<Contact*> ContactLocator;



// ****************************************************************************************************
// ContactFilter declaration
// ****************************************************************************************************

typedef GenericFilter<Contact*> ContactFilter;



// ****************************************************************************************************
// for_each_contact declaration
// ****************************************************************************************************

#define for_each_contact(contact, contacts)\
/******************************************/\
{\
	ContactLocator _locator = contacts.GetLocator();\
	while (_locator.IsValid()) {\
		Contact* contact = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_CONTACTS

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
