// ****************************************************************************************************
// File: DBos.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_DBOS
#define HURRICANE_DBOS

#include "Collection.h"

namespace Hurricane {

class DBo;



// ****************************************************************************************************
// DBos declaration
// ****************************************************************************************************

typedef GenericCollection<DBo*> DBos;



// ****************************************************************************************************
// DBoLocator declaration
// ****************************************************************************************************

typedef GenericLocator<DBo*> DBoLocator;



// ****************************************************************************************************
// DBoFilter declaration
// ****************************************************************************************************

typedef GenericFilter<DBo*> DBoFilter;



// ****************************************************************************************************
// for_each_dbo declaration
// ****************************************************************************************************

#define for_each_dbo(dbo, dbos)\
/******************************/\
{\
	DBoLocator _locator = dbos.GetLocator();\
	while (_locator.IsValid()) {\
		DBo* dbo = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_DBOS

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
