// ****************************************************************************************************
// File: Hooks.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_HOOKS
#define HURRICANE_HOOKS

#include "Collection.h"

namespace Hurricane {

class Hook;



// ****************************************************************************************************
// Hooks declaration
// ****************************************************************************************************

typedef GenericCollection<Hook*> Hooks;



// ****************************************************************************************************
// HookLocator declaration
// ****************************************************************************************************

typedef GenericLocator<Hook*> HookLocator;



// ****************************************************************************************************
// HookFilter declaration
// ****************************************************************************************************

typedef GenericFilter<Hook*> HookFilter;



// ****************************************************************************************************
// for_each_hook declaration
// ****************************************************************************************************

#define for_each_hook(hook, hooks)\
/*********************************/\
{\
	HookLocator _locator = hooks.GetLocator();\
	while (_locator.IsValid()) {\
		Hook* hook = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_HOOKS

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
