// ****************************************************************************************************
// File: Rubbers.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_RUBBERS
#define HURRICANE_RUBBERS

#include "Collection.h"

namespace Hurricane {

class Rubber;



// ****************************************************************************************************
// Rubbers declaration
// ****************************************************************************************************

typedef GenericCollection<Rubber*> Rubbers;



// ****************************************************************************************************
// RubberLocator declaration
// ****************************************************************************************************

typedef GenericLocator<Rubber*> RubberLocator;



// ****************************************************************************************************
// RubberFilter declaration
// ****************************************************************************************************

typedef GenericFilter<Rubber*> RubberFilter;



// ****************************************************************************************************
// for_each_rubber declaration
// ****************************************************************************************************

#define for_each_rubber(rubber, rubbers)\
/***************************************/\
{\
	RubberLocator _locator = rubbers.GetLocator();\
	while (_locator.IsValid()) {\
		Rubber* rubber = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_RUBBERS

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
