// ****************************************************************************************************
// File: Slices.h
// Authors: R. Escassut
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************

#ifndef HURRICANE_SLICES
#define HURRICANE_SLICES

#include "Collection.h"

namespace Hurricane {

class Slice;



// ****************************************************************************************************
// Slices declaration
// ****************************************************************************************************

typedef GenericCollection<Slice*> Slices;



// ****************************************************************************************************
// SliceLocator declaration
// ****************************************************************************************************

typedef GenericLocator<Slice*> SliceLocator;



// ****************************************************************************************************
// SliceFilter declaration
// ****************************************************************************************************

typedef GenericFilter<Slice*> SliceFilter;



// ****************************************************************************************************
// for_each_slice declaration
// ****************************************************************************************************

#define for_each_slice(slice, slices)\
/************************************/\
{\
	SliceLocator _locator = slices.GetLocator();\
	while (_locator.IsValid()) {\
		Slice* slice = _locator.GetElement();\
		_locator.Progress();



} // End of Hurricane namespace.

#endif // HURRICANE_SLICES

// ****************************************************************************************************
// Copyright (c) BULL S.A. 2000-2004, All Rights Reserved
// ****************************************************************************************************
